> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paycashless.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sandbox: Simulate an invoice payment

> Sandbox: Simulate an invoice payment



## OpenAPI

````yaml POST /v1/simulations/invoices/{id}/payment
openapi: 3.0.0
info:
  title: Paycashless API
  version: 1.1.0
servers:
  - url: https://api.paycashless.com
    description: Production
security: []
paths:
  /v1/simulations/invoices/{id}/payment:
    post:
      tags:
        - invoices
      description: 'Sandbox: Simulate an invoice payment'
      parameters:
        - schema:
            type: string
            example: inv_ff0c3z37zi40pvc82g74bgsm4q7fubbw
          required: true
          name: id
          in: path
        - schema:
            type: string
            minLength: 1
            description: SHA-512 HMAC signature of the request payload using the API secret
            example: >-
              5e73d044c44d733fcf819ad3409aaaddca840d421b69cb0b04e2c750fc62ece7526d36296237663ad1f06f62a730c0466516507196b3ce6567493cc52a7cf63d
          required: true
          description: SHA-512 HMAC signature of the request payload using the API secret
          name: Request-Signature
          in: header
        - schema:
            type: string
            pattern: ^\d{10}$
            description: UNIX timestamp when the request was created (in seconds)
            example: '1712336881'
          required: true
          description: UNIX timestamp when the request was created (in seconds)
          name: Request-Timestamp
          in: header
      responses:
        '202':
          description: Invoice payment simulation request accepted
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                    enum:
                      - accepted
                  message:
                    type: string
                required:
                  - id
                  - status
                  - message

````